=== debian/changelog ===
ros-indigo-move-base (1.12.16-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 19 Jun 2018 04:00:00 -0000

ros-indigo-move-base (1.12.15-0trusty) trusty; urgency=high

  * Merge pull request #684 <https://github.com/ros-planning/navigation/issues/684> from DLu/fix_523
    [indigo] Respect planner_frequency intended behavior [backport]
  * Respect planner_frequency intended behavior (#622 <https://github.com/ros-planning/navigation/issues/622>)
  * Merge pull request #671 <https://github.com/ros-planning/navigation/issues/671> from ros-planning/email_update_indigo
    update maintainer email (indigo)
  * Merge pull request #647 <https://github.com/ros-planning/navigation/issues/647> from aaronhoy/indigo_add_ahoy
    Add myself as a maintainer.
  * Contributors: Aaron Hoy, Jorge Santos Simón, Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 20 Mar 2018 04:00:00 -0000

ros-indigo-move-base (1.12.14-0trusty) trusty; urgency=high

  * Only do a getRobotPose when no start pose is given (#628 <https://github.com/ros-planning/navigation/issues/628>)
  * Merge pull request #524 <https://github.com/ros-planning/navigation/issues/524> from corot/call_less_the_planner
    Fix for #523 <https://github.com/ros-planning/navigation/issues/523>: global planner called much more times than expected
  * Merge pull request #501 <https://github.com/ros-planning/navigation/issues/501> from selvasamuel/indigo-devel
  * Fix CMakeLists + package.xmls (#548 <https://github.com/ros-planning/navigation/issues/548>)
  * Fix: global planner called much more times than max_planning_retries or time allowed by planner_patiente
  * Fixed deadlock when changing global planner
  * Contributors: Jorge Santos Simón, Martin Günther, Michael Ferguson, ne0

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 19 Dec 2017 05:00:00 -0000

ros-indigo-move-base (1.12.13-0trusty) trusty; urgency=high

  * Merge pull request #495 <https://github.com/ros-planning/navigation/issues/495> from corot/patch-3
    Fix #494 <https://github.com/ros-planning/navigation/issues/494>: prevent zero-velocity commands during recovery behaviors
  * move_base: Add move_base_msgs to find_package.
  * Issue #496 <https://github.com/ros-planning/navigation/issues/496>: add a max_planning_retries parameter as an alternative to planner_patience to limit the failed calls to global planner
  * Fix #494 <https://github.com/ros-planning/navigation/issues/494>: prevent zero-velocity commands during recovery behaviors
    Partially reverts 0a686c90c6f188a2731f6f88c2c08610f0ec907e
  * Contributors: Jorge Santos, Jorge Santos Simón, Maarten de Vries, Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 15 Aug 2016 04:00:00 -0000

ros-indigo-move-base (1.12.12-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 24 Jun 2016 04:00:00 -0000

ros-indigo-move-base (1.12.11-0trusty) trusty; urgency=high

  * [Fix] Illegal vector visit when no path planned
  * Contributors: gjc13

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 08 Jun 2016 04:00:00 -0000

ros-indigo-move-base (1.12.10-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 27 May 2016 04:00:00 -0000

ros-indigo-move-base (1.12.9-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 26 May 2016 04:00:00 -0000

ros-indigo-move-base (1.12.8-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 16 May 2016 04:00:00 -0000

ros-indigo-move-base (1.12.7-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 05 Jan 2016 05:00:00 -0000

ros-indigo-move-base (1.12.6-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 02 Jan 2016 05:00:00 -0000

ros-indigo-move-base (1.12.5-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 29 Oct 2015 04:00:00 -0000

ros-indigo-move-base (1.12.4-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 03 Jun 2015 04:00:00 -0000

ros-indigo-move-base (1.12.3-0trusty) trusty; urgency=high

  * proper locking during costmap update
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 30 Apr 2015 04:00:00 -0000

ros-indigo-move-base (1.12.2-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 31 Mar 2015 04:00:00 -0000

ros-indigo-move-base (1.12.1-0trusty) trusty; urgency=high

  * Fixing various memory freeing operations
  * Contributors: Alex Bencz

 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 14 Mar 2015 04:00:00 -0000

ros-indigo-move-base (1.12.0-0trusty) trusty; urgency=high

  * update maintainer email
  * Contributors: Michael Ferguson

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 04 Feb 2015 05:00:00 -0000

ros-indigo-move-base (1.11.15-0trusty) trusty; urgency=high

  * Disable global planner when resetting state.
  * Mark move_base headers for installation
  * Add ARCHIVE DESTINATION for move_base
  * Break infinite loop when tolerance 0 is used
  * remove partial usage of <tab> in the code
  * Contributors: Gary Servin, Michael Ferguson, ohendriks, v4hn

 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 03 Feb 2015 05:00:00 -0000

ros-indigo-move-base (1.11.14-0trusty) trusty; urgency=high

  * use timer rather than rate for immediate wakeup
  * adding lock to planner makePlan fail case
  * Contributors: Michael Ferguson, phil0stine

 -- David V. Lu!! <davidvlu@gmail.com>  Fri, 05 Dec 2014 05:00:00 -0000

ros-indigo-move-base (1.11.13-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 02 Oct 2014 04:00:00 -0000

ros-indigo-move-base (1.11.12-0trusty) trusty; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 01 Oct 2014 04:00:00 -0000

ros-indigo-move-base (1.11.11-0trusty) trusty; urgency=high

  * removes trailing spaces and empty lines
  * Contributors: Enrique Fernández Perdomo

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 23 Jul 2014 04:00:00 -0000


